Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window
Class ButtonFactory

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.window.ButtonFactory

public class ButtonFactory
extends Object

Field Summary
`protected static Debug` | `debug`

Constructor Summary
`ButtonFactory()`

Method Summary
`static ModeToggleButton` | `createModeToggleButton(Enumeration locales, String name)` Creates a toggle button for the given window mode.
`static StateButton` | `createStateButton(Enumeration locales, String name)`
`static StateToggleButton` | `createStateToggleButton(Enumeration locales, String name)` Creates a toggle button for the given window state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected static Debug debug

Constructor Detail

### ButtonFactory

    public ButtonFactory()

Method Detail

### createStateToggleButton

    public static StateToggleButton createStateToggleButton(Enumeration locales,
                                                            String name)
                                                     throws IllegalWindowStateException

  Creates a toggle button for the given window state. This method requires netuix-config.xml file under the WEB-INF directory.

  Parameters:
    `name` - name of the state
  Throws:
    `IllegalWindowStateException` - thrown if the given state is illegal

### createStateButton

    public static StateButton createStateButton(Enumeration locales,
                                                String name)
                                         throws IllegalWindowStateException

    `IllegalWindowStateException`

### createModeToggleButton

    public static ModeToggleButton createModeToggleButton(Enumeration locales,
                                                          String name)
                                                   throws IllegalWindowModeException

  Creates a toggle button for the given window mode. This method requires netuix-config.xml file under the WEB-INF directory.

  Parameters:
    `name` - name of the state
  Throws:
    `IllegalWindowModeException` - thrown if the given mode is illegal

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved